%define upstream_name    POP3Client
%define upstream_version 2.13

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1
Summary:    POP3Client module for perl (Mail_and_Usenet_News/Mail)
License:    GPL
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Nagios/%{upstream_name}-%{upstream_version}.tar.bz2
Buildarch:  noarch
Buildroot:  %{_tmppath}/%{name}-%{version}

%description
POP3Client is a Perl module to provide an object-oriented interface to a
POP3 server.

%prep 
%setup -q -n %{upstream_name}-%{upstream_version}

%build
CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL INSTALLDIRS=vendor
%make
%{__make} test

%install
%{__rm} -rf %{buildroot}
%makeinstall_std

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes  MANIFEST README
%{perl_vendorlib}/Mail/
%_mandir/man3/*



%changelog
* Mon Dec 07 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.130.0-1mdv2010.1
+ Revision: 474536
- spec cleanup

* Thu Jul 31 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.13-5mdv2009.0
+ Revision: 258275
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.13-4mdv2009.0
+ Revision: 246334
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tvignaud@mandriva.com> 2.13-2mdv2008.1
+ Revision: 123411
- kill re-definition of %%buildroot on Pixel's request


* Thu Sep 29 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.13-2mdk
- Rebuild

* Mon May 17 2004 Michael Scherer <misc@mandrake.org> 2.13-1mdk
- New release 2.13
- rpmbuildupdate aware

* Sat Aug 02 2003 Ben Reser <ben@reser.org> 2.6-10mdk
- Use %%makeinstall_std now that it works on klama

* Sat Aug 02 2003 Ben Reser <ben@reser.org> 2.6-9mdk
- No rm buildroot in %%prep
- Macroification
- Use %%make and %%makeinstall
- man path
- quiet %%setup
- perllocal.pod

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.6-8mdk
- rebuild for new auto{prov,req}

* Mon May 05 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.6-7mdk
- buildrequires

* Fri Jan 24 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.6-6mdk
- rebuild

* Thu Aug 29 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.6-5mdk
- rebuild

* Mon Sep 11 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.6-4mdk
- macros

* Fri Jul 07 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.6-3mdk
- fix files section

* Fri May 05 2000 Vincent Danen <vdanen@linux-mandrake.com> 2.6-2mdk
- fix group

* Wed Mar 08 2000 Vincent Danen <vdanen@linux-mandrake.com>
- 2.6

* Tue Mar 07 2000 Vincent Danen <vdanen@linux-mandrake.com>
- initial specfile
- bzip sources

